Subject: Re: bug#36006: electric-pair-mode fails to balance in certain cases

From: Gregory Heytings <[email-masked]>
Date: Fri, 28 Aug 2020 08:00:05 +0000

>
> Another note: this bug might in fact be specific to html-mode/sgml-mode. 
> As far as I can see electric-pair-mode works fine with emacs-lisp-mode, 
> c-mode, tex-mode, ...  And with
>
> (defun sgml-syntax-propertize (start end &optional rules-function))
>
> the bug disappears.
>

A more specific note: removing `(put-text-property ... (string-to-syntax 
"."))' in `sgml--syntax-propertize-ppss' also fixes the bug.  So this bug 
is indeed specific to html-mode/sgml-mode.